<?php
/**
 * Individual slide markup
 * 
 * @package SlideDeck
 */

?>
<div id="slide_editor_<?php echo $count; ?>" class="postbox slide">
    
    <div title="Click to toggle" class="handlediv"><br></div>
    
	<h3 class="hndle"><span><?php echo empty( $slide['title'] ) ? "Slide " . $slide['slide_order'] : $slide['title']; ?></span></h3>
	
	<div class="inside">
	    
		<?php if( isset( $slide['id']) && !empty( $slide['id'] ) ): ?>
			<input type="hidden" name="slide[<?php echo $count; ?>][id]" value="<?php echo $slide['id']; ?>" />
		<?php endif; ?>
        
		<div class="add-delete-controls">
            <a class="button slide-convert-vertical slide-toggle-vertical disabled" title="Available in Pro version only">Convert to Vertical Slide</a>

			<a href="#<?php echo $count; ?>" class="slide-delete">Delete Slide</a>
		</div>
        
		<input type="hidden" name="slide[<?php echo $count; ?>][slide_order]" value="<?php echo $slide['slide_order']; ?>" class="slide-order" />
        
		<ol class="formRows">
		    
			<li>
				<label>Slide Title:</label>
				<input type="text" name="slide[<?php echo $count; ?>][title]" value="<?php echo empty( $slide['title'] ) ? 'Slide ' . $count : $slide['title']; ?>" size="40" maxlength="255" class="slide-title" />
			</li>
            
			<li class="editor-area">
				<?php $editor_id = "slide_{$count}_content"; ?>

                <span class="horizontal-slide-media">
				    <?php include('_editor_media_buttons.php'); ?>
                </span>
				
				<div class="editor-container">
					<textarea name="slide[<?php echo $count; ?>][content]" cols="80" rows="10" class="horizontal slide-content" id="<?php echo $editor_id; ?>"><?php echo $slide['content']; ?></textarea>
				</div>
			</li>
                        
		</ol>
        
	</div>
    
</div>